<div class="row text-center">
  <div class="col-md-12 mt-5">
    <h3>3. Examples</h3>
    <hr class="mb-3" />
    <p>Click the button on any of the following examples to load the scratchboard with it.</p>
    <hr class="mt-5 mb-3" style="width:10%">
  </div>
  <ng-container *ngFor="let exampleType of exampleTypes">
    <h5>{{exampleType.label}}</h5>
    <div class="col-12">
      <div class="table-responsive">
        <table class="table table-sm table-hover">
          <thead>
            <tr>
              <th>Path</th>
              <th>Search Value</th>
              <th>Return</th>
              <th>Description</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let example of exampleType.key | dictionary : examples : '[].type[]'; let i = index">
              <td class="text-left">
                <code>
                  {{ example.path }}
                </code>
              </td>
              <td>
                {{ example.searchValue }}
              </td>
              <td>
                {{ example.outputKey }}
              </td>
              <td class="text-left px-3">
                {{ example.description }}
                <div class="text-muted small mt-2 mb-3">
                  {{ example.flow }}
                </div>
              </td>
              <td>
                <a [routerLink]="'/scratchboard/' + i" class="btn btn-sm btn-link">View example</a>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </ng-container>
</div>